"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HibernatingRoute = void 0;
const react_1 = __importDefault(require("react"));
const react_router_1 = require("react-router");
const HibernatingRoute = (props) => {
    // This component is used ONLY as an indicator to HibernatingSwitch that it needs to keep this subtree around
    // even after the element itself unmounts. HibernatingSwitch will replace each <HibernatingRoute> with a standard
    // <Route> (with the extra wiring to make hibernation happen) -- so this component should never actually render.
    //
    // If this ever does render then it means the component wasn't swapped out -- so it's not being used properly.
    if (process.env.NODE_ENV !== 'production') {
        console.warn('HibernatingRoute is being used as a standalone component, instead of as a child of HibernatingSwitch. This will not do anything.', props);
    }
    return react_1.default.createElement(react_router_1.Route, Object.assign({}, props));
};
exports.HibernatingRoute = HibernatingRoute;
//# sourceMappingURL=HibernatingRoute.js.map