"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderRoute = void 0;
const react_1 = __importDefault(require("react"));
// This is based on how <Route> itself renders things, in react-router v5:
// https://github.com/ReactTraining/react-router/blob/f20cd62495c7bc4f8949ae6d28afe587f62b557a/packages/react-router/modules/Route.js#L56-L72
const renderRoute = (routerProps, routeProps) => {
    const { children, component, render } = routeProps;
    return routerProps.match
        ? children
            ? typeof children === 'function'
                ? process.env.NODE_ENV !== 'production'
                    ? children(routerProps) || null
                    : children(routerProps)
                : children
            : component
                ? // eslint-disable-next-line @typescript-eslint/no-explicit-any
                    react_1.default.createElement(component, routerProps)
                : render
                    ? render(routerProps)
                    : null
        : typeof children === 'function'
            ? process.env.NODE_ENV !== 'production'
                ? children(routerProps) || null
                : children(routerProps)
            : null;
};
exports.renderRoute = renderRoute;
//# sourceMappingURL=renderRoute.js.map